
Redmine - Patch #670

Duplicate issue links (update/edit/etc) at bottom of issue page

2008-02-15 15:28 - Jon Moses

Status: Closed Start date: 2008-02-15

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Description

It's frustrating to me to have to scroll back to the top of the page to add another comment on an issue, especially when there's a

dozen comments on it already.

This patch extracts those links into a partial, and calls it in the current position (top of page) and also calls it in the same element as

the "export" link at the bottom.

Related issues:

Has duplicate Redmine - Patch #4331: Second set of issue "Action Links" at th... Closed 2009-12-03

History

#1 - 2008-02-15 15:55 - David Petersen

I agree. It really sucks on tickets with a lot of notes (30+).

#2 - 2008-02-25 14:30 - Nikolay Solakov

Hi, the Unwatch link doesn't appear when I press Watch.

However, the top bar is updated with Unwatch and the corresponding link.

Nikolay

#3 - 2008-02-25 15:09 - Jon Moses

- File re-show-issue-links-at-bottom2.patch added

Updated patch to make both "watch"/"unwatch" links change when either is clicker.

#4 - 2008-02-25 15:19 - Nikolay Solakov

Now the two bars are multiplied horizontally... I can't say how many time.

Nikolay

#5 - 2008-02-25 15:23 - Nikolay Solakov

Sorry, my mistake with the patching.

Works like a charm :)

Regards,

Nikolay

#6 - 2008-02-25 15:50 - Jon Moses

Phew, I thought I had messed something up.

Let me know if I did something in a way that's not consistent with the rest of the code.  I haven't spent much time with the current codebase.

#7 - 2008-02-25 16:08 - chris mcharg

While this does help out with the stated problem, I think that it has the following issues:

Only fixes one use case

Introduces duplication in the GUI

How would you feel about #739 instead?
https://www.redmine.org/issues/739


#8 - 2008-02-25 16:51 - Nikolay Solakov

Well, I think in any similar journal application there are duplications of the control buttons (simple phpBB for example).

Maybe #739 has to be implemented too. Thus we'll have two bars with controls for the whole issue and "reply buttons" on any Note.

Or maybe the control bar has to be added on every note. Like the forums (phpBB for example)

What do you think?

Nikolay

#9 - 2008-02-25 16:52 - Jon Moses

#739 sounds like a fine solution to me, as long as the "update" fields aren't lost in the "replay" form.  Using the current form would solve my problem

just as good.

Or start the "reply" form with just the comment field, but have a "Update" link show the rest of the form.

I think a two part solution (update GUI, then add actual threading to comments) would be good, but that's just me.

#10 - 2008-02-25 17:03 - Jon Moses

I'm not sure.  Having threaded comments would be nice, but I don't have the desire for that on a daily basis.  If I need detailed discussion about

something I'd probably create a topic in the discussion board section.

Maybe the "reply" functionality would be more useful bundled with a threaded comment functionality (maybe use the discussion board code for that?) 

I think the "reply" without threading is misleading.

#11 - 2009-12-15 00:05 - Mischa The Evil

- Category deleted (UI)

- Status changed from New to Closed

Obsoleted by #4331 which is implemented in r3119, which itself will be included in Redmine 0.9.0.

Files

re-show-issue-links-at-bottom.patch 3.55 KB 2008-02-15 Jon Moses

re-show-issue-links-at-bottom2.patch 4.68 KB 2008-02-25 Jon Moses

Powered by TCPDF (www.tcpdf.org)

2025-07-02 2/2

https://www.redmine.org/issues/739
https://www.redmine.org/issues/739
https://www.redmine.org/issues/4331
https://www.redmine.org/projects/redmine/repository/svn/revisions/3119
https://www.redmine.org/versions/6
http://www.tcpdf.org

